package handle

import (
	"acme-mana/src/conf"
	"github.com/gin-gonic/gin"
	"log"
)

var CertHandlerInstance = &CertHandler{}

type CertHandler struct {
}

func (h *CertHandler) Get(c *gin.Context) {
	log.Println("get cert")
	c.JSON(200, conf.Config())
}

func (h *CertHandler) Refresh(context *gin.Context) {
	log.Fatalln("refresh cert")
}

func (h *CertHandler) DomainList(context *gin.Context) {
	log.Fatalln("domain list")
}
